Name:           kwooty
Version:        1.0.1
Release:        %mkrel 1
Summary:        A friendly nzb usenet binary download application
Group:          Graphical desktop/KDE4
License:        GPLv2+
URL:            http://kwooty.sourceforge.net/
Source0:        http://sourceforge.net/projects/kwooty/files/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kde-workspace-devel
BuildRequires:  kdelibs-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
Requires:       par2cmdline
Requires:       kde-runtime

%description
%{name} is a NZB usenet binary download application for KDE 4.
It's main features are:
- Automatic file verification/repairing
- Automatic archive extraction (Rar, Zip and 7z archive formats supported)
- Multi-server support
- Built-in YEnc and UUEncode file decoders
- Watch Folder
- File queue and priority management
- System shutdown scheduler.
- Save/Restore pending downloads when application is closed/open.
- Built-in SSL connection support
- Pause/Resume downloads
- Suspends downloads if disk is full
- Display of Remaining Time or Estimated Time of Arrival (ETA)
- Display of available free disk space
- Automatic connection to host at start-up
- Automatic file downloading after opening Nzb file


%prep
%setup -q


%build
%{cmake_kde4}
%make 


%install
rm -rf %{buildroot}
make -C build DESTDIR=%buildroot install

#menu
desktop-file-install --vendor="" \
      --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
     --dir=%{buildroot}%{_datadir}/applications/kde4 %{buildroot}%{_datadir}/applications/kde4/*


#remove symlink
rm %{buildroot}%{_libdir}/lib%{name}core.so

%find_lang %{name}


%post
/sbin/ldconfig


%postun
/sbin/ldconfig



%files -f %{name}.lang
%doc README.txt COPYING TODO
%{_bindir}/%{name}
%{_libdir}/kde4/%{name}_*
%{_libdir}/lib%{name}core.so.*
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config.kcfg/%{name}_*.kcfg
%{_datadir}/config.kcfg/%{name}settings.kcfg
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/apps/%{name}/
%{_datadir}/kde4/services/%{name}*
%{_datadir}/kde4/servicetypes/%{name}plugin.desktop


%changelog
* Sun Apr 28 2013 Texstar <texstar at gmail.com> 1.0.1-1pclos2013
- import into pclos from fedora with specfile changes 
